> For the complete documentation index, see [llms.txt](https://docs.stoqapp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stoqapp.com/back-in-stock-api/transfer-signups-from-one-variant-to-another.md).

# Transfer signups from one variant to another

## Transfer signups from one variant to another

> Transfer intents (signups) from a source variant to a target variant.\
> This is useful when consolidating variants or when products are restructured.\
> By default transfers pending intents, but can transfer sent or all intents based on intent\_type parameter.<br>

```json
{"openapi":"3.0.3","info":{"title":"Back in Stock Intents API","version":"1.0.0"},"servers":[{"url":"https://app.stoqapp.com/api/v1/external","description":"Production server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-Auth-Token"}}},"paths":{"/intents/transfer_signups":{"post":{"summary":"Transfer signups from one variant to another","description":"Transfer intents (signups) from a source variant to a target variant.\nThis is useful when consolidating variants or when products are restructured.\nBy default transfers pending intents, but can transfer sent or all intents based on intent_type parameter.\n","tags":["Intents"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"from_shopify_variant_id":{"type":"integer","description":"Shopify variant ID to transfer signups from"},"from_shopify_product_id":{"type":"integer","description":"Shopify product ID of the source variant"},"to_shopify_variant_id":{"type":"integer","description":"Shopify variant ID to transfer signups to"},"to_shopify_product_id":{"type":"integer","description":"Shopify product ID of the target variant"},"intent_type":{"type":"string","enum":["unsent","sent","all"],"description":"Type of intents to transfer (default is unsent/pending)"}},"required":["from_shopify_variant_id","from_shopify_product_id","to_shopify_variant_id","to_shopify_product_id"]}}}},"responses":{"200":{"description":"Transfer completed successfully"},"400":{"description":"Bad request - invalid parameters","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"401":{"description":"Unauthorized"},"422":{"description":"Transfer failed","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"object","description":"Interactor errors object"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stoqapp.com/back-in-stock-api/transfer-signups-from-one-variant-to-another.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
